Lavalite package that provides seo management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `realestate/seo`.

    "realestate/seo": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Realestate\Seo\Providers\SeoServiceProvider::class,

And also add it to alias

    'Seo'  => Realestate\Seo\Facades\Seo::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Realestate\\SeoTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Realestate\Seo\Providers\SeoServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Realestate\Seo\Providers\SeoServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Realestate\Seo\Providers\SeoServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/seo/{modulename}

**User**

    http://path-to-route-folder/user/seo/{modulename}

**Public**

    http://path-to-route-folder/seos


### API endpoints

**List**

    http://path-to-route-folder/api/user/seo/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/seo/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/seo/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/seo/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/seo/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/seo/{modulename}/{slug}
    METHOD: GET