<?php

// API routes  for seo
Route::prefix('{guard}/seo')->group(function () {
    Route::get('seo/form/{element}', 'SeoAPIController@form');
    Route::resource('seo', 'SeoAPIController');
});

// Public routes for seo
Route::get('seos/', 'SeoPublicController@index');
Route::get('seos/{slug?}', 'SeoPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for seos
            Route::prefix('{guard}/seo')->group(function () {
                Route::get('seo/form/{element}', 'SeoAPIController@form');
                Route::apiResource('seo', 'SeoAPIController');
            });
            // Public routes for seos
            Route::get('seo/Seo', 'SeoPublicController@getSeo');
        }
    );
}

