<?php

// web routes  for seo
Route::prefix('{guard}/seo')->group(function () {
    Route::resource('seo', 'SeoResourceController');
});

// Public routes for seo
Route::get('seos/', 'SeoPublicController@index');
Route::get('seos/{slug?}', 'SeoPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'SeoResourceController');
            });
            // Public routes for pages
            Route::get('seos/', 'SeoPublicController@index');
            Route::get('seos/{slug?}', 'SeoPublicController@show');
        }
    );
}

