<?php

namespace Realestate\Seo;

use User;

class Seo
{
    /**
     * $seo object.
     */
    protected $seo;

    /**
     * Constructor.
     */
    public function __construct(\Realestate\Seo\Interfaces\SeoRepositoryInterface $seo)
    {
        $this->seo = $seo;
    }

    /**
     * Returns count of seo.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.seo.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->seo->pushCriteria(new \Litepie\Realestate\Repositories\Criteria\SeoUserCriteria());
        }

        $seo = $this->seo->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('seo::' . $view, compact('seo'))->render();
    }
}
